From Bright Pattern Documentation
Jump to: navigation, search
• 5.2 • 5.3 • 5.8

Prerequisites

To configure Salesforce integration, you must have the following:

  1. Salesforce developer account. Without a developer account, you will not be able to do configuration in Salesforce Setup. Note that if you intend to configure Single Sign-on (SSO), the Salesforce usernames must match the Bright Pattern Contact Center usernames.

  2. "Production” level login credentials in Salesforce. This is required for deploying the Bright Pattern managed app in a Salesforce environment. To verify the “Production” level credentials for proper permissions, login with your existing credentials to the Salesforce login.

  3. "System Administrator" role. In your Salesforce environment, your user account should have the System Administrator role. If you are the creator of the developer account, then you are the system administrator by default; however, if this is not the case, verify you have the admin role, in case multiple users are logging in.

  4. Bright Pattern Contact Center version 3.6 or later. For most types of integration described in this guide, Bright Pattern Contact Center version 3.6 or later is required. For import of calling lists and export of campaign results, Bright Pattern Contact Center version 3.10 or later is required.

Note: If you are unable to log into Salesforce.com directly, please contact your SFDC system administrator to review permission and access level settings.


< Previous | Next >